Get Transaction
https://api.druo.com/transactions/{transaction_uuid}Retrieve the details of an existing transaction.
Returns full details of a specific transaction using its unique UUID. This endpoint requires an Authorization Bearer Token for credentials authentication.
Path parameters
The unique identifier of the resource.
Response
The unique identifier of the transaction.
trx_422f0f81-5001-4cce-a229-242d9ab9960aThe current status of the transaction.
CREATEDPENDINGPROCESSINGSUCCESSFULREFUNDEDDISPUTEDFAILEDCANCELEDREVERSEDSUCCESSFULNotes or remarks concerning the transaction status.
REQUESTED_BY_MERCHANTThe tenant details that originated the transaction.
{"uuid":"ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20"}The account used to fund this transaction.
{"uuid":"acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340"}The account receiving the funds for this transaction.
{"uuid":"acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340"}The platform or interface from which the transaction was created.
MERCHANT_PORTALAn arbitrary description of the transaction. This description may be visible to end users, such as in email receipts.
Insurance policy renewal - INV12324The text display on your customer's bank statement. This value must contain at least one letter and be between 4 and 22 characters.
NOVO BILLING* INV12324The amount of the transaction in the smallest denomination of the currency (e.g., cents for USD).
10000The variable fee amount applied to this transaction, in the smallest denomination.
300The fixed fee amount applied to this transaction, in the smallest denomination.
100The combined fixed and variable fee amounts, in the smallest denomination.
400The net amount (amount minus total_fee) to be settled for this transaction, in the smallest denomination.
9600An optional tracking identifier associated with this transaction. Maximum 40 characters.
ABC123An optional secondary tracking identifier associated with this transaction. Maximum 40 characters.
bj39fhow39fhqp3f0hfae4344A set of custom key-value pairs attached to the transaction object. Supports up to 50 keys, with key names up to 40 characters and values up to 500 characters.
{"order_id":"6735"}Determines if the system will automatically send a transaction receipt to the customer's preferred delivery method.
falseThe date and time when the transaction was created (GMT).
2021-11-15T23:23:38The date and time when the transaction was last updated (GMT).
2021-11-15T23:23:38
